## doc-debian-ja 2.2.2.2

=== FAQ/Makefile ===
#
# Makefile for the Debian FAQ (Japanese)
#

SRCS = debian-faq.ja.sgml faqstatic.ja.ent faqdynamic.ja.ent $(wildcard *.sgml)

# this can and will be overriden by a higher level makefile
PUBLISHDIR := ../../../public_html/manuals.html

all: html txt

publish: debian-faq.ja.html/index.html
	test -d $(PUBLISHDIR)/debian-faq.ja || install -d -m 755 $(PUBLISHDIR)/debian-faq.ja
	rm -f $(PUBLISHDIR)/debian-faq.ja/*.html
	install -p -m 644 debian-faq.ja.html/*.html $(PUBLISHDIR)/debian-faq.ja/

faqdynamic.ja.ent:
	echo "<!entity docdate \"$(shell LC_ALL=C date +'%-d %B %Y')\">" > faqdynamic.ja.ent
	if [ -f ../debian/changelog ]; then \
          echo "<!entity docversion \"` LC_ALL=C cd .. && dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//'`\">" >> faqdynamic.ja.ent; \
        else \
          echo "<!entity docversion \"CVS\">" >> faqdynamic.ja.ent; \
        fi

validate:
	nsgmls -ges -wall debian-faq.ja.sgml

html debian-faq.ja.html/index.html: $(SRCS)
	debiandoc2html -l ja $<

txt debian-faq.ja.txt: $(SRCS)
	debiandoc2text -l ja $<

ps debian-faq.ja.ps: $(SRCS)
	debiandoc2latexps $<

dvi debian-faq.ja.dvi: $(SRCS)
	debiandoc2latexdvi $<

pdf debian-faq.ja.pdf: $(SRCS)
	debiandoc2latexpdf $<

info debian-faq.ja.info: $(SRCS)
	debiandoc2info -l ja $<

clean distclean:
	rm -rf debian-faq.ja.html
	rm -f debian-faq.ja.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,sasp*}
	rm -f faqdynamic.ja.ent *~ .*~ core tsa*

.PHONY: all publish clean distclean validate

=== debian/changelog ===
doc-debian-ja (2.2.2.2) unstable; urgency=low

  * upload to Debian ftp archive sponsored by Yasuhiro TAKE
    <take@debian.org>.
  * fix first packaging date in copyright file.
  * update BTS documents.
  * [FAQ] change Japanese translation of "GNU General Public License".
  * [FAQ] add some information available in Japanese.
  * [FAQ] modify some diction.

 -- SEKIDO Koichi <sekido@chokepoint.org>  Thu, 28 Dec 2000 00:06:13 +0900

doc-debian-ja (2.2.2.1) unstable-jp; urgency=low

  * new maintainer.
  * update Standards-Version to 3.1.1.1.
  * update FAQ to version 2.2.2.
  * add constitution.ja.txt, social_contract.ja.txt.
  * convert Debian Manifesto from HTML to plain text.
  * remove libc5-libc6-Mini-HOWTO-ja.txt.
  * add information about mailing lists and bug tracking system managed by
    Debian project.
  * move information about mailing lists and bug tracking system managed
    by Debian JP project to JP subdirectory.
  * add doc-base support.

 -- SEKIDO Koichi <sekido@chokepoint.org>  Fri,  8 Dec 2000 10:21:25 +0900

doc-debian-ja (1.5-2) frozen-jp unstable-jp; urgency=low

  * changed maintainer's mail address.
  * added some translated documents for the Bug Tracking System. 
  * added Suggests: doc-debian. 
  * added changelog.Debian.gz.
  * checked with lintian(0.4.8)

 -- Hatta Shuzo <hattas@debian.or.jp>  Wed, 17 Jun 1998 13:16:38 +0900

doc-debian-ja (1.5-1) unstable; urgency=low

  * Update control file.
  * Update debian-jp.sgml.
  * Use -f option with sgml2txt.

 -- Hatta Shuzo <hattas@nisz.co.jp>  Mon, 10 Nov 1997 22:13:19 +0900

doc-debian-ja (1.5-0) unstable; urgency=low

  * Initial Release.

 -- Hatta Shuzo <hattas@nisz.co.jp>  Mon, 30 Jun 1997 17:24:35 +0900

Local variables:
mode: debian-changelog
add-log-mailing-address: "sekido@chokepoint.org"
End:

=== debian/control ===
Source: doc-debian-ja
Section: doc
Priority: optional
Maintainer: SEKIDO Koichi <sekido@chokepoint.org>
Standards-Version: 3.1.1.1
Build-Depends: debhelper, debiandoc-sgml

Package: doc-debian-ja
Suggests: doc-debian
Architecture: all
Description: Debian FAQ and other documents (Japanese)
 This package provides the Japanese version of Debian FAQ and other
 documents.
 .
 You will find:
   * Debian Linux Manifesto,
   * Constitution for the Debian Project,
   * Debian GNU/Linux Social Contract,
   * Debian Free Software Guidelines.
 .
 Additionally provided are:
   * Debian GNU/Linux Frequently Asked Questions (FAQ),
   * Debian Bug Tracking System documentation, and
   * Introduction to the Debian mailing lists.

=== debian/rules ===
#!/usr/bin/make -f
# derived from sample debian/rules file for GNU hello by Ian Jackson.

tmp = $(shell pwd)/debian/tmp
docdir = $(tmp)/usr/share/doc/debian-ja

build: stamp-build
stamp-build:
	test -d FAQ -a -f debian/rules
	cd FAQ && $(MAKE) html txt
	cd FAQ && gzip -9 debian-faq.ja.txt
	touch $@

clean:
	test -d FAQ -a -f debian/rules
	test "`id -u`" -eq 0
	cd FAQ && $(MAKE) clean
	rm -rf $(tmp)
	rm -f FAQ/*.gz stamp-build debian/files `find . -name "*~"`

refresh:
	cd doc && wget -N -R "*keyring*" -R "*INDEX*" \
          ftp://ftp.debian.org/debian/doc/*
	chmod 644 doc/*

binary: binary-indep binary-arch

binary-arch:

binary-indep: build
	test -d FAQ -a -f debian/rules
	test "`id -u`" -eq 0
	rm -rf $(tmp)

	install -m 755 -d $(tmp)/DEBIAN $(docdir)/FAQ \
          $(tmp)/usr/share/doc-base $(tmp)/usr/share/doc/doc-debian-ja
	cp -pr doc/* $(docdir)
	cd FAQ && install -m 644 debian-faq.ja.txt.gz \
                    debian-faq.ja.html/* $(docdir)/FAQ

	install -m 755 debian/prerm debian/postinst $(tmp)/DEBIAN
	install -m 644 doc-base/* $(tmp)/usr/share/doc-base
	install -m 644 debian/copyright $(tmp)/usr/share/doc/doc-debian-ja
	gzip -c9 debian/changelog > $(tmp)/usr/share/doc/doc-debian-ja/changelog.gz
	install -m 644 debian/README* $(tmp)/usr/share/doc/doc-debian-ja
	chown -R root.root $(tmp) && chmod -R go=rX $(tmp)
	dpkg-gencontrol -isp
	dpkg --build $(tmp) ..

# The extra-package files:
#	cd FAQ/debian-faq.html && GZIP=-9 tar czf ../../../debian-faq.html.tar.gz *
#	cp FAQ/debian-faq.txt.gz FAQ/debian-faq.ps.gz ../
#	dpkg-distaddfile debian-faq.html.tar.gz byhand -
#	dpkg-distaddfile debian-faq.txt.gz byhand -
#	dpkg-distaddfile debian-faq.ps.gz byhand -

.PHONY: build clean binary binary-arch binary-indep
